FGVIEWER(1)

NOME
fgviewer - Un'applicazione di visualizzazione di FlightGear alternativa

SINTASSI
fgviewer [--fg-root rootdir] [--fg-scenery scenerydir] [--config configfile] [--prop proprietà valore] [--renderer rend] [--hla] [--federation fed]

DESCRIZIONE
fgviewer è un'applicazione di visualizzazione che consente di esaminare lo scenario e gli oggetti di FlightGear senza avviare fgfs(1).

OPZIONI

--fg-root rootdir
    Imposta la directory radice dei dati di FlightGear ($FG_ROOT) a rootdir. Se quest'opzione non è impostata, fgviewer utilizza il percorso specificato nella variabile d'ambiente FG_ROOT o, in sua assenza, la directory dei dati di FlightGear scelta all'atto della compilazione del programma.

--fg-scenery scenerydir
    Imposta la directory dello scenario di FlightGear ($FG_SCENERY) a scenerydir. Se quest'opzione non è impostata, fgelev utilizza il percorso specificato nella variabile d'ambiente FG_SCENERY o, in sua assenza, la sottodirectory Scenery all'interno di $FG_ROOT.

--config configfile
    Legge direttive di configurazione da configfile.

--prop proprietà valore
    Imposta la proprietà proprietà a valore.

--renderer rend
    Utiliizza il renderer rend per eseguire il rendering dello scenario. Quest'opzione non è attualmente supportata.

--hla
    Abilita la federazione HLA.

--federation fed
    Abilita una federazione personalizzata fed.

STATI D'USCITA
fgviewer esce con EXIT_SUCCESS se l'esecuzione ha avuto successo, con EXIT_FAILURE se la sintassi degli argomenti della riga di comando è errata o se si verifica un errore.

VARIABILI D'AMBIENTE

FG_ROOT
    Se FG_ROOT è impostata e --fg-root non è impostato, specifica la directory radice dei dati da utilizzare.

FG_SCENERY
    Se FG_SCENERY è impostata e --fg-scenery non è impostato, specifica la directory dello scenario da utilizzare.

FILE

$FG_ROOT/defaults.xml
    File delle impostazioni predefinite caricato all'avvio.

VEDERE ANCHE
fgfs(1)